/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkFiltersStatisticsGnuRObjectFactory.h

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __vtkFiltersStatisticsGnuRObjectFactory_h
#define __vtkFiltersStatisticsGnuRObjectFactory_h

#include "vtkFiltersStatisticsGnuRModule.h" // For export macro
#include "vtkObjectFactory.h"

class VTKFILTERSSTATISTICSGNUR_EXPORT vtkFiltersStatisticsGnuRObjectFactory : public vtkObjectFactory
{
public:
  static vtkFiltersStatisticsGnuRObjectFactory * New();
  vtkTypeMacro(vtkFiltersStatisticsGnuRObjectFactory, vtkObjectFactory)

  const char * GetDescription() { return "vtkFiltersStatisticsGnuR factory overrides."; }

  const char * GetVTKSourceVersion();

  void PrintSelf(ostream &os, vtkIndent indent);

protected:
  vtkFiltersStatisticsGnuRObjectFactory();

private:
  vtkFiltersStatisticsGnuRObjectFactory(const vtkFiltersStatisticsGnuRObjectFactory&); // Not implemented
  void operator=(const vtkFiltersStatisticsGnuRObjectFactory&);      // Not implemented
};

#endif // __vtkFiltersStatisticsGnuRObjectFactory_h
