#ifndef vtk_libproj4_mangle_h
#define vtk_libproj4_mangle_h

/*

This header file mangles all symbols exported from the libproj4 library.
It is included in all files while building the libproj4 library.  Due to
namespace pollution, no libproj4 headers should be included in .h files in
VTK.

The following command was used to obtain the symbol list:

nm libproj4.a | grep " [TR] " | awk '{print "#define "$3" vtk_"$3}'

*/

#define proj_aeqd vtk_proj_aeqd
#define proj_s_aeqd vtk_proj_s_aeqd
#define proj_aitoff vtk_proj_aitoff
#define proj_s_aitoff vtk_proj_s_aitoff
#define proj_s_wintri vtk_proj_s_wintri
#define proj_wintri vtk_proj_wintri
#define proj_geos vtk_proj_geos
#define proj_s_geos vtk_proj_s_geos
#define proj_gilbert vtk_proj_gilbert
#define proj_s_gilbert vtk_proj_s_gilbert
#define proj_gnom vtk_proj_gnom
#define proj_s_gnom vtk_proj_s_gnom
#define proj_hammer vtk_proj_hammer
#define proj_s_hammer vtk_proj_s_hammer
#define proj_laea vtk_proj_laea
#define proj_s_laea vtk_proj_s_laea
#define proj_alsk vtk_proj_alsk
#define proj_gs48 vtk_proj_gs48
#define proj_gs50 vtk_proj_gs50
#define proj_lee_os vtk_proj_lee_os
#define proj_mil_os vtk_proj_mil_os
#define proj_s_alsk vtk_proj_s_alsk
#define proj_s_gs48 vtk_proj_s_gs48
#define proj_s_gs50 vtk_proj_s_gs50
#define proj_s_lee_os vtk_proj_s_lee_os
#define proj_s_mil_os vtk_proj_s_mil_os
#define proj_nsper vtk_proj_nsper
#define proj_s_nsper vtk_proj_s_nsper
#define proj_s_tpers vtk_proj_s_tpers
#define proj_tpers vtk_proj_tpers
#define proj_nzmg vtk_proj_nzmg
#define proj_s_nzmg vtk_proj_s_nzmg
#define proj_ortho vtk_proj_ortho
#define proj_s_ortho vtk_proj_s_ortho
#define proj_rouss vtk_proj_rouss
#define proj_s_rouss vtk_proj_s_rouss
#define proj_s_sterea vtk_proj_s_sterea
#define proj_sterea vtk_proj_sterea
#define proj_s_stere vtk_proj_s_stere
#define proj_s_ups vtk_proj_s_ups
#define proj_stere vtk_proj_stere
#define proj_ups vtk_proj_ups
#define proj_s_wag7 vtk_proj_s_wag7
#define proj_s_wag8 vtk_proj_s_wag8
#define proj_wag7 vtk_proj_wag7
#define proj_wag8 vtk_proj_wag8
#define proj_s_wag9 vtk_proj_s_wag9
#define proj_wag9 vtk_proj_wag9
#define proj_aea vtk_proj_aea
#define proj_leac vtk_proj_leac
#define proj_s_aea vtk_proj_s_aea
#define proj_s_leac vtk_proj_s_leac
#define proj_bipc vtk_proj_bipc
#define proj_s_bipc vtk_proj_s_bipc
#define proj_bonne vtk_proj_bonne
#define proj_s_bonne vtk_proj_s_bonne
#define proj_eqdc vtk_proj_eqdc
#define proj_s_eqdc vtk_proj_s_eqdc
#define proj_hill vtk_proj_hill
#define proj_s_hill vtk_proj_s_hill
#define proj_imw_p vtk_proj_imw_p
#define proj_s_imw_p vtk_proj_s_imw_p
#define proj_kocc vtk_proj_kocc
#define proj_s_kocc vtk_proj_s_kocc
#define proj_lcca vtk_proj_lcca
#define proj_s_lcca vtk_proj_s_lcca
#define proj_lcc vtk_proj_lcc
#define proj_s_lcc vtk_proj_s_lcc
#define proj_poly vtk_proj_poly
#define proj_s_poly vtk_proj_s_poly
#define proj_rpoly vtk_proj_rpoly
#define proj_s_rpoly vtk_proj_s_rpoly
#define proj_euler vtk_proj_euler
#define proj_murd1 vtk_proj_murd1
#define proj_murd2 vtk_proj_murd2
#define proj_murd3 vtk_proj_murd3
#define proj_pconic vtk_proj_pconic
#define proj_s_euler vtk_proj_s_euler
#define proj_s_murd1 vtk_proj_s_murd1
#define proj_s_murd2 vtk_proj_s_murd2
#define proj_s_murd3 vtk_proj_s_murd3
#define proj_s_pconic vtk_proj_s_pconic
#define proj_s_tissot vtk_proj_s_tissot
#define proj_s_vitk1 vtk_proj_s_vitk1
#define proj_tissot vtk_proj_tissot
#define proj_vitk1 vtk_proj_vitk1
#define proj_ardn_cls vtk_proj_ardn_cls
#define proj_s_ardn_cls vtk_proj_s_ardn_cls
#define proj_braun2 vtk_proj_braun2
#define proj_s_braun2 vtk_proj_s_braun2
#define proj_cass vtk_proj_cass
#define proj_s_cass vtk_proj_s_cass
#define proj_cc vtk_proj_cc
#define proj_s_cc vtk_proj_s_cc
#define proj_cea vtk_proj_cea
#define proj_s_cea vtk_proj_s_cea
#define proj_kh_sh vtk_proj_kh_sh
#define proj_pav_cyl vtk_proj_pav_cyl
#define proj_s_kh_sh vtk_proj_s_kh_sh
#define proj_s_pav_cyl vtk_proj_s_pav_cyl
#define proj_s_tobler_1 vtk_proj_s_tobler_1
#define proj_s_tobler_2 vtk_proj_s_tobler_2
#define proj_s_urm_2 vtk_proj_s_urm_2
#define proj_s_urm_3 vtk_proj_s_urm_3
#define proj_tobler_1 vtk_proj_tobler_1
#define proj_tobler_2 vtk_proj_tobler_2
#define proj_urm_2 vtk_proj_urm_2
#define proj_urm_3 vtk_proj_urm_3
#define proj_cyl_stere vtk_proj_cyl_stere
#define proj_s_cyl_stere vtk_proj_s_cyl_stere
#define proj_eqc vtk_proj_eqc
#define proj_s_eqc vtk_proj_s_eqc
#define proj_labrd vtk_proj_labrd
#define proj_s_labrd vtk_proj_s_labrd
#define proj_lsat vtk_proj_lsat
#define proj_s_lsat vtk_proj_s_lsat
#define proj_merc vtk_proj_merc
#define proj_s_merc vtk_proj_s_merc
#define proj_mill_2 vtk_proj_mill_2
#define proj_s_mill_2 vtk_proj_s_mill_2
#define proj_mill vtk_proj_mill
#define proj_s_mill vtk_proj_s_mill
#define proj_mill_per vtk_proj_mill_per
#define proj_s_mill_per vtk_proj_s_mill_per
#define proj_ocea vtk_proj_ocea
#define proj_s_ocea vtk_proj_s_ocea
#define proj_omerc vtk_proj_omerc
#define proj_s_omerc vtk_proj_s_omerc
#define proj_s_somerc vtk_proj_s_somerc
#define proj_somerc vtk_proj_somerc
#define proj_gstmerc vtk_proj_gstmerc
#define proj_s_gstmerc vtk_proj_s_gstmerc
#define proj_s_tcc vtk_proj_s_tcc
#define proj_tcc vtk_proj_tcc
#define proj_s_tcea vtk_proj_s_tcea
#define proj_tcea vtk_proj_tcea
#define proj_s_tmerc vtk_proj_s_tmerc
#define proj_s_utm vtk_proj_s_utm
#define proj_tmerc vtk_proj_tmerc
#define proj_utm vtk_proj_utm
#define proj_s_tob_sqr vtk_proj_s_tob_sqr
#define proj_tob_sqr vtk_proj_tob_sqr
#define proj_ftmerc vtk_proj_ftmerc
#define proj_s_ftmerc vtk_proj_s_ftmerc
#define proj_etmerc vtk_proj_etmerc
#define proj_s_etmerc vtk_proj_s_etmerc
#define proj_ktmerc vtk_proj_ktmerc
#define proj_s_ktmerc vtk_proj_s_ktmerc
#define proj_airy vtk_proj_airy
#define proj_s_airy vtk_proj_s_airy
#define proj_apian2 vtk_proj_apian2
#define proj_s_apian2 vtk_proj_s_apian2
#define proj_arma vtk_proj_arma
#define proj_s_arma vtk_proj_s_arma
#define proj_august vtk_proj_august
#define proj_s_august vtk_proj_s_august
#define proj_apian1 vtk_proj_apian1
#define proj_bacon vtk_proj_bacon
#define proj_ortel vtk_proj_ortel
#define proj_s_apian1 vtk_proj_s_apian1
#define proj_s_bacon vtk_proj_s_bacon
#define proj_s_ortel vtk_proj_s_ortel
#define proj_dummy vtk_proj_dummy
#define proj_s_dummy vtk_proj_s_dummy
#define proj_eisen vtk_proj_eisen
#define proj_s_eisen vtk_proj_s_eisen
#define proj_four1 vtk_proj_four1
#define proj_s_four1 vtk_proj_s_four1
#define ell_int_5 vtk_ell_int_5
#define proj_adams_hemi vtk_proj_adams_hemi
#define proj_adams_wsI vtk_proj_adams_wsI
#define proj_adams_wsII vtk_proj_adams_wsII
#define proj_guyou vtk_proj_guyou
#define proj_peirce_q vtk_proj_peirce_q
#define proj_s_adams_hemi vtk_proj_s_adams_hemi
#define proj_s_adams_wsI vtk_proj_s_adams_wsI
#define proj_s_adams_wsII vtk_proj_s_adams_wsII
#define proj_s_guyou vtk_proj_s_guyou
#define proj_s_peirce_q vtk_proj_s_peirce_q
#define proj_lagrng vtk_proj_lagrng
#define proj_s_lagrng vtk_proj_s_lagrng
#define proj_larr vtk_proj_larr
#define proj_s_larr vtk_proj_s_larr
#define proj_lask vtk_proj_lask
#define proj_s_lask vtk_proj_s_lask
#define proj_nicol vtk_proj_nicol
#define proj_s_nicol vtk_proj_s_nicol
#define proj_ob_tran vtk_proj_ob_tran
#define proj_s_ob_tran vtk_proj_s_ob_tran
#define proj_oea vtk_proj_oea
#define proj_s_oea vtk_proj_s_oea
#define proj_s_tpeqd vtk_proj_s_tpeqd
#define proj_tpeqd vtk_proj_tpeqd
#define proj_s_vandg2 vtk_proj_s_vandg2
#define proj_s_vandg3 vtk_proj_s_vandg3
#define proj_vandg2 vtk_proj_vandg2
#define proj_vandg3 vtk_proj_vandg3
#define proj_s_vandg4 vtk_proj_s_vandg4
#define proj_vandg4 vtk_proj_vandg4
#define proj_s_vandg vtk_proj_s_vandg
#define proj_vandg vtk_proj_vandg
#define proj_baker vtk_proj_baker
#define proj_s_baker vtk_proj_s_baker
#define proj_baranyi4 vtk_proj_baranyi4
#define proj_s_baranyi4 vtk_proj_s_baranyi4
#define proj_brny_1 vtk_proj_brny_1
#define proj_brny_2 vtk_proj_brny_2
#define proj_brny_3 vtk_proj_brny_3
#define proj_brny_4 vtk_proj_brny_4
#define proj_brny_5 vtk_proj_brny_5
#define proj_brny_6 vtk_proj_brny_6
#define proj_brny_7 vtk_proj_brny_7
#define proj_s_brny_1 vtk_proj_s_brny_1
#define proj_s_brny_2 vtk_proj_s_brny_2
#define proj_s_brny_3 vtk_proj_s_brny_3
#define proj_s_brny_4 vtk_proj_s_brny_4
#define proj_s_brny_5 vtk_proj_s_brny_5
#define proj_s_brny_6 vtk_proj_s_brny_6
#define proj_s_brny_7 vtk_proj_s_brny_7
#define proj_boggs vtk_proj_boggs
#define proj_s_boggs vtk_proj_s_boggs
#define proj_collg vtk_proj_collg
#define proj_s_collg vtk_proj_s_collg
#define proj_crast vtk_proj_crast
#define proj_s_crast vtk_proj_s_crast
#define proj_denoy vtk_proj_denoy
#define proj_s_denoy vtk_proj_s_denoy
#define proj_eck1 vtk_proj_eck1
#define proj_s_eck1 vtk_proj_s_eck1
#define proj_eck2 vtk_proj_eck2
#define proj_s_eck2 vtk_proj_s_eck2
#define proj_eck3 vtk_proj_eck3
#define proj_kav7 vtk_proj_kav7
#define proj_putp1 vtk_proj_putp1
#define proj_putp1p vtk_proj_putp1p
#define proj_s_eck3 vtk_proj_s_eck3
#define proj_s_kav7 vtk_proj_s_kav7
#define proj_s_putp1 vtk_proj_s_putp1
#define proj_s_putp1p vtk_proj_s_putp1p
#define proj_s_wag6 vtk_proj_s_wag6
#define proj_wag6 vtk_proj_wag6
#define proj_eck4 vtk_proj_eck4
#define proj_s_eck4 vtk_proj_s_eck4
#define proj_eck5 vtk_proj_eck5
#define proj_s_eck5 vtk_proj_s_eck5
#define proj_eq_moll vtk_proj_eq_moll
#define proj_s_eq_moll vtk_proj_s_eq_moll
#define proj_erdi_krusz vtk_proj_erdi_krusz
#define proj_s_erdi_krusz vtk_proj_s_erdi_krusz
#define proj_fahey vtk_proj_fahey
#define proj_s_fahey vtk_proj_s_fahey
#define proj_fc_ar vtk_proj_fc_ar
#define proj_fc_gen vtk_proj_fc_gen
#define proj_fc_pe vtk_proj_fc_pe
#define proj_fc_pp vtk_proj_fc_pp
#define proj_s_fc_ar vtk_proj_s_fc_ar
#define proj_s_fc_gen vtk_proj_s_fc_gen
#define proj_s_fc_pe vtk_proj_s_fc_pe
#define proj_s_fc_pp vtk_proj_s_fc_pp
#define proj_fouc_s vtk_proj_fouc_s
#define proj_s_fouc_s vtk_proj_s_fouc_s
#define proj_four2 vtk_proj_four2
#define proj_s_four2 vtk_proj_s_four2
#define proj_gins8 vtk_proj_gins8
#define proj_s_gins8 vtk_proj_s_gins8
#define proj_eck6 vtk_proj_eck6
#define proj_gn_sinu vtk_proj_gn_sinu
#define proj_mbtfps vtk_proj_mbtfps
#define proj_s_eck6 vtk_proj_s_eck6
#define proj_s_gn_sinu vtk_proj_s_gn_sinu
#define proj_s_mbtfps vtk_proj_s_mbtfps
#define proj_s_sinu vtk_proj_s_sinu
#define proj_sinu vtk_proj_sinu
#define proj_goode vtk_proj_goode
#define proj_mb_P3 vtk_proj_mb_P3
#define proj_mb_Q3 vtk_proj_mb_Q3
#define proj_mb_S2 vtk_proj_mb_S2
#define proj_s_goode vtk_proj_s_goode
#define proj_s_mb_P3 vtk_proj_s_mb_P3
#define proj_s_mb_Q3 vtk_proj_s_mb_Q3
#define proj_s_mb_S2 vtk_proj_s_mb_S2
#define proj_hatano vtk_proj_hatano
#define proj_s_hatano vtk_proj_s_hatano
#define proj_holzel vtk_proj_holzel
#define proj_s_holzel vtk_proj_s_holzel
#define proj_loxim vtk_proj_loxim
#define proj_s_loxim vtk_proj_s_loxim
#define proj_maurer vtk_proj_maurer
#define proj_s_maurer vtk_proj_s_maurer
#define proj_mayr vtk_proj_mayr
#define proj_s_mayr vtk_proj_s_mayr
#define proj_mbtfpp vtk_proj_mbtfpp
#define proj_s_mbtfpp vtk_proj_s_mbtfpp
#define proj_mbtfpq vtk_proj_mbtfpq
#define proj_s_mbtfpq vtk_proj_s_mbtfpq
#define proj_mbt_fps vtk_proj_mbt_fps
#define proj_s_mbt_fps vtk_proj_s_mbt_fps
#define proj_mb_S3 vtk_proj_mb_S3
#define proj_s_mb_S3 vtk_proj_s_mb_S3
#define proj_bromley vtk_proj_bromley
#define proj_moll vtk_proj_moll
#define proj_s_bromley vtk_proj_s_bromley
#define proj_s_moll vtk_proj_s_moll
#define proj_s_wag4 vtk_proj_s_wag4
#define proj_s_weren3 vtk_proj_s_weren3
#define proj_wag4 vtk_proj_wag4
#define proj_weren3 vtk_proj_weren3
#define proj_nell vtk_proj_nell
#define proj_s_nell vtk_proj_s_nell
#define proj_nell_h vtk_proj_nell_h
#define proj_s_nell_h vtk_proj_s_nell_h
#define proj_oxford vtk_proj_oxford
#define proj_s_oxford vtk_proj_s_oxford
#define proj_s_times vtk_proj_s_times
#define proj_times vtk_proj_times
#define proj_putp2 vtk_proj_putp2
#define proj_s_putp2 vtk_proj_s_putp2
#define proj_putp3 vtk_proj_putp3
#define proj_putp3p vtk_proj_putp3p
#define proj_s_putp3 vtk_proj_s_putp3
#define proj_s_putp3p vtk_proj_s_putp3p
#define proj_putp4p vtk_proj_putp4p
#define proj_s_putp4p vtk_proj_s_putp4p
#define proj_s_weren vtk_proj_s_weren
#define proj_weren vtk_proj_weren
#define proj_putp5 vtk_proj_putp5
#define proj_putp5p vtk_proj_putp5p
#define proj_s_putp5 vtk_proj_s_putp5
#define proj_s_putp5p vtk_proj_s_putp5p
#define proj_putp6 vtk_proj_putp6
#define proj_putp6p vtk_proj_putp6p
#define proj_s_putp6 vtk_proj_s_putp6
#define proj_s_putp6p vtk_proj_s_putp6p
#define proj_robin vtk_proj_robin
#define proj_s_robin vtk_proj_s_robin
#define proj_near_con vtk_proj_near_con
#define proj_s_near_con vtk_proj_s_near_con
#define proj_s_min_err vtk_proj_s_min_err
#define proj_s_s_min_err vtk_proj_s_s_min_err
#define proj_fouc vtk_proj_fouc
#define proj_gen_ts vtk_proj_gen_ts
#define proj_kav5 vtk_proj_kav5
#define proj_mbt_s vtk_proj_mbt_s
#define proj_qua_aut vtk_proj_qua_aut
#define proj_s_fouc vtk_proj_s_fouc
#define proj_s_gen_ts vtk_proj_s_gen_ts
#define proj_s_kav5 vtk_proj_s_kav5
#define proj_s_mbt_s vtk_proj_s_mbt_s
#define proj_s_qua_aut vtk_proj_s_qua_aut
#define proj_s_tob_g1 vtk_proj_s_tob_g1
#define proj_tob_g1 vtk_proj_tob_g1
#define proj_s_trapez vtk_proj_s_trapez
#define proj_trapez vtk_proj_trapez
#define proj_s_urm5 vtk_proj_s_urm5
#define proj_urm5 vtk_proj_urm5
#define proj_s_urmfps vtk_proj_s_urmfps
#define proj_s_wag1 vtk_proj_s_wag1
#define proj_s_weren2 vtk_proj_s_weren2
#define proj_urmfps vtk_proj_urmfps
#define proj_wag1 vtk_proj_wag1
#define proj_weren2 vtk_proj_weren2
#define proj_s_wag2 vtk_proj_s_wag2
#define proj_wag2 vtk_proj_wag2
#define proj_s_wag3 vtk_proj_s_wag3
#define proj_wag3 vtk_proj_wag3
#define proj_s_wag5 vtk_proj_s_wag5
#define proj_wag5 vtk_proj_wag5
#define proj_s_wink1 vtk_proj_s_wink1
#define proj_wink1 vtk_proj_wink1
#define proj_s_wink2 vtk_proj_s_wink2
#define proj_wink2 vtk_proj_wink2
#define proj_adjlon vtk_proj_adjlon
#define proj_auth_ini vtk_proj_auth_ini
#define proj_auth_inv vtk_proj_auth_inv
#define proj_auth_lat vtk_proj_auth_lat
#define proj_qsfn vtk_proj_qsfn
#define proj_deriv vtk_proj_deriv
#define proj_dmstor vtk_proj_dmstor
#define proj_ellps vtk_proj_ellps
#define proj_ell_set vtk_proj_ell_set
#define proj_err_list vtk_proj_err_list
#define proj_errno_loc vtk_proj_errno_loc
#define proj_factors vtk_proj_factors
#define proj_fwd vtk_proj_fwd
#define proj_gauss vtk_proj_gauss
#define proj_gauss_ini vtk_proj_gauss_ini
#define proj_inv_gauss vtk_proj_inv_gauss
#define proj_free vtk_proj_free
#define proj_init vtk_proj_init
#define proj_inv vtk_proj_inv
#define proj_list vtk_proj_list
#define proj_inv_mdist vtk_proj_inv_mdist
#define proj_mdist vtk_proj_mdist
#define proj_mdist_ini vtk_proj_mdist_ini
#define proj_msfn vtk_proj_msfn
#define proj_mkparam vtk_proj_mkparam
#define proj_param vtk_proj_param
#define proj_phi2 vtk_proj_phi2
#define proj_pr_list vtk_proj_pr_list
#define proj_rtodms vtk_proj_rtodms
#define proj_set_rtodms vtk_proj_set_rtodms
#define proj_strerrno vtk_proj_strerrno
#define proj_strerror_r vtk_proj_strerror_r
#define proj_acos vtk_proj_acos
#define proj_asin vtk_proj_asin
#define proj_atan2 vtk_proj_atan2
#define proj_sqrt vtk_proj_sqrt
#define proj_inv_translate vtk_proj_inv_translate
#define proj_translate vtk_proj_translate
#define proj_translate_ini vtk_proj_translate_ini
#define proj_tsfn vtk_proj_tsfn
#define proj_units vtk_proj_units
#define proj_zpoly1 vtk_proj_zpoly1
#define proj_zpolyd1 vtk_proj_zpolyd1
#define proj_apsi vtk_proj_apsi
#define proj_psi vtk_proj_psi

#endif
